Skip to main content
`Ctrl`+`K`

# BV

Basis vectors, SLEPc object representing a collection of vectors that typically constitute a basis of a subspace.

## Synopsis

    typedef struct _p_BV* BV;

## See Also

BV: Basis Vectors, `BVCreate()`

## Level

beginner

## Location

include/slepcbv.h

## Examples

src/eps/tutorials/ex47.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex16.c

## Implementations

_p_BV in include/slepc/private/bvimpl.h
BV_CONTIGUOUS in src/sys/classes/bv/impls/contiguous/contig.c
BV_MAT in src/sys/classes/bv/impls/mat/bvmat.h
BV_SVEC in src/sys/classes/bv/impls/svec/svec.h
BV_TENSOR in src/sys/classes/bv/impls/tensor/bvtensor.c
BV_VECS in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages